# AvatarForm

[![pipeline status](https://gitlab.com/mesnie/avatar-form/badges/master/pipeline.svg)](https://gitlab.com/mesnie/avatar-form/-/commits/master)
[![coverage report](https://gitlab.com/mesnie/avatar-form/badges/master/coverage.svg)](https://gitlab.com/mesnie/avatar-form/-/commits/master)

AvatarForm is a small react package to render a svg avatar
and the form to generate it
from a customizable dataset.

## Installation

`yarn add mesnie-avatar-form`

## AvatarForm usage

```tsx
import {AvatarForm, defaultData} from "mesnie-avatar-form";

<AvatarForm data={defaultData} />
```
![form example](./examples/form_example.png)

see [`AvatarForm/`](src/lib/AvatarForm/README.md) for implementation details.

## FormattedAvatar usage

```tsx
import {FormattedAvatar, defaultData} from "mesnie-avatar-form";

<FormattedAvatar
    data={defaultData}
    skinColor={"#FF9F9F"}
    hairColor={"#241c11"}
    eyesColor={"#634e34"}
    backgroundColor={"#ecf0f1"}
    hairCutId={"A"}
    beardCutId={"Z"}
    mustacheCutId={"Z"}
    mouthShapeId={"A"}
    noseShapeId={"A"}
    eyesShapeId={"A"}
    browsShapeId={"A"}
    earsShapeId={"A"}
    faceShapeId={"A"}
    bodyShapeId={"A"}
    clothesId={"A"}
/>
```
![avatar example](./examples/avatar_example.svg)

see [`FormattedAvatar/`](src/lib/FormattedAvatar/README.md) for implementation details.


## Contributing

To contribute, you should first fork the project and then
```bash
yarn build
yarn start
```
The `AvatarForm` will then be displayed on `localhost:3000`.
Next you can add your modifications and test them with `yarn test`.

## License

[MIT](LICENSE)